FROM golang:1.19-alpine AS build

WORKDIR /app


ARG VERSION
ENV VERSION=${VERSION:-dev}

COPY go.* ./
COPY *.go ./
COPY pkg ./pkg

RUN echo buildling ${VERSION}
RUN CGO_ENABLED=0 GOOS=linux go build -ldflags "-X main.version=${VERSION}" -o cilium-joiner

FROM scratch

COPY --from=build /app/cilium-joiner /cilium-joiner

ENTRYPOINT [ "/cilium-joiner" ]